Subject: Re: [Ksummit-2013-discuss] [PATCH] commit: Add -f, --fixes <commit> option to add Fixes: line

From: Josh Triplett <[email-masked]>
Date: Sun, 27 Oct 2013 09:23:13 +0000

On Sun, Oct 27, 2013 at 01:03:47AM -0700, Michel Lespinasse wrote:
> On Sun, Oct 27, 2013 at 12:14 AM, Josh Triplett <[email-masked]> wrote:
> >> > +-f <commit>::
> >> > +--fixes=<commit>::
> >> > +   Add Fixes line for the specified commit at the end of the commit
> >> > +   log message.  This line includes an abbreviated commit hash for
> >> > +   the specified commit; the `core.abbrev` option determines the
> >> > +   length of the abbreviated commit hash used, with a minimum length
> >> > +   of 12 hex digits.
> >>
> >> You might also mention that the "Fixes:" line includes the old commit's
> >> subject line.
> >
> > I only mentioned the abbreviated commit hash because it was necessary to
> > explain the factors affecting hash length.  -s, above, doesn't mention
> > that the Signed-off-by line includes the name and email address of the
> > committer.
> 
> I do wonder, if we're going to bake into git the idea that too-short
> abbreviated sha1s don't make sense, why don't we just change the
> core.abbrev default to 12 everywhere rather than just in this one
> command ?

You won't get any argument from me on that one.  I personally would have
argued for making the hashes 40 characters always, but in any case
bumping up the default (and minimum) for core.abbrev seems entirely
sensible.

- Josh Triplett